Index: trunk/logs/arquivo_crls.log
===================================================================
--- trunk/logs/arquivo_crls.log	(revision 4929)
+++ 	(revision )
@@ -1,297 +1,0 @@
-# -- #
-2011-05-31 19:00:01,625 INFO Processando arquivo de urls para obter crls: /var/www/expresso/security/crl_admin/crl_admin.conf .
-2011-05-31 19:00:01,633 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/serproacfv1.crl
-2011-05-31 19:00:01,648 INFO Processando arquivo de urls para obter crls: /var/www/expresso/security/crl_admin/crl_admin.conf .
-2011-05-31 19:00:01,662 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/serproacfv1.crl
-2011-05-31 19:00:02,157 INFO Verificando /var/www/expresso/security/crls/serproacfv1.crl(70244 Bytes)
-2011-05-31 19:00:02,265 INFO Verificando /var/www/expresso/security/crls/serproacfv1.crl(70244 Bytes)
-2011-05-31 19:00:02,397 INFO 
-2011-05-31 19:00:02,398 INFO verify OK
-2011-05-31 19:00:02,398 INFO 
-2011-05-31 19:00:02,454 INFO 
-2011-05-31 19:00:02,455 INFO verify OK
-2011-05-31 19:00:02,455 INFO 
-2011-05-31 19:00:02,450 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/serproacfv2.crl
-2011-05-31 19:00:02,506 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/serproacfv2.crl
-2011-05-31 19:00:03,055 INFO Verificando /var/www/expresso/security/crls/serproacfv2.crl(136359 Bytes)
-2011-05-31 19:00:03,167 INFO Verificando /var/www/expresso/security/crls/serproacfv2.crl(136359 Bytes)
-2011-05-31 19:00:03,200 INFO 
-2011-05-31 19:00:03,201 INFO verify OK
-2011-05-31 19:00:03,201 INFO 
-2011-05-31 19:00:03,232 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/ACPRv1.crl
-2011-05-31 19:00:03,436 INFO 
-2011-05-31 19:00:03,437 INFO verify OK
-2011-05-31 19:00:03,437 INFO 
-2011-05-31 19:00:03,576 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/ACPRv1.crl
-2011-05-31 19:00:03,597 INFO Verificando /var/www/expresso/security/crls/ACPRv1.crl(3143 Bytes)
-2011-05-31 19:00:03,736 INFO 
-2011-05-31 19:00:03,736 INFO unable to load CRL
-2011-05-31 19:00:03,737 INFO 30205:error:0D07207B:asn1 encoding routines:ASN1_get_object:header too long:asn1_lib.c:150:
-2011-05-31 19:00:03,737 INFO 
-2011-05-31 19:00:03,737 CRITICAL Erro verificando a CRL /var/www/expresso/security/crls/ACPRv1.crl
-
-2011-05-31 19:00:03,737 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/ACPRv2.crl
-2011-05-31 19:00:03,928 INFO 
-2011-05-31 19:00:03,929 INFO --2011-05-31 19:00:03--  http://ccd.serpro.gov.br/lcr/ACPRv1.crl
-2011-05-31 19:00:03,929 INFO Resolving ccd.serpro.gov.br... 161.148.1.30
-2011-05-31 19:00:03,930 INFO Connecting to ccd.serpro.gov.br|161.148.1.30|:80... connected.
-2011-05-31 19:00:03,930 INFO HTTP request sent, awaiting response... 200 OK
-2011-05-31 19:00:03,930 INFO Length: 3143 (3.1K) [application/x-pkcs7-crl]
-2011-05-31 19:00:03,930 INFO Saving to: `/var/www/expresso/security/crls/ACPRv1.crl'
-2011-05-31 19:00:03,931 INFO 
-2011-05-31 19:00:03,931 INFO      0K ...                                                   100% 60.0K=0.05s
-2011-05-31 19:00:03,931 INFO 
-2011-05-31 19:00:03,931 INFO utime(/var/www/expresso/security/crls/ACPRv1.crl): No such file or directory
-2011-05-31 19:00:03,931 INFO 2011-05-31 19:00:03 (60.0 KB/s) - `/var/www/expresso/security/crls/ACPRv1.crl' saved [3143/3143]
-2011-05-31 19:00:03,932 INFO 
-2011-05-31 19:00:03,932 INFO 
-2011-05-31 19:00:03,932 CRITICAL Nao foi possivel obter a CRL http://ccd.serpro.gov.br/lcr/ACPRv1.crl
-
-2011-05-31 19:00:03,933 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/ACPRv2.crl
-2011-05-31 19:00:04,068 INFO Verificando /var/www/expresso/security/crls/ACPRv2.crl(2616 Bytes)
-2011-05-31 19:00:04,193 INFO 
-2011-05-31 19:00:04,193 INFO unable to load CRL
-2011-05-31 19:00:04,194 INFO 30208:error:0D06B08E:asn1 encoding routines:ASN1_D2I_READ_BIO:not enough data:a_d2i_fp.c:238:
-2011-05-31 19:00:04,194 INFO 
-2011-05-31 19:00:04,194 CRITICAL Erro verificando a CRL /var/www/expresso/security/crls/ACPRv2.crl
-
-2011-05-31 19:00:04,194 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/acserprorfb.crl
-2011-05-31 19:00:04,297 INFO 
-2011-05-31 19:00:04,298 INFO --2011-05-31 19:00:03--  http://ccd.serpro.gov.br/lcr/ACPRv2.crl
-2011-05-31 19:00:04,298 INFO Resolving ccd.serpro.gov.br... 161.148.1.30
-2011-05-31 19:00:04,298 INFO Connecting to ccd.serpro.gov.br|161.148.1.30|:80... connected.
-2011-05-31 19:00:04,298 INFO HTTP request sent, awaiting response... 200 OK
-2011-05-31 19:00:04,298 INFO Length: 12949 (13K) [application/x-pkcs7-crl]
-2011-05-31 19:00:04,299 INFO Saving to: `/var/www/expresso/security/crls/ACPRv2.crl'
-2011-05-31 19:00:04,299 INFO 
-2011-05-31 19:00:04,299 INFO      0K .......... ..                                         100%  143K=0.09s
-2011-05-31 19:00:04,299 INFO 
-2011-05-31 19:00:04,300 INFO 2011-05-31 19:00:04 (143 KB/s) - `/var/www/expresso/security/crls/ACPRv2.crl' saved [12949/12949]
-2011-05-31 19:00:04,300 INFO 
-2011-05-31 19:00:04,300 INFO 
-2011-05-31 19:00:04,301 CRITICAL Nao foi possivel obter a CRL http://ccd.serpro.gov.br/lcr/ACPRv2.crl
-
-2011-05-31 19:00:04,301 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/acserprorfb.crl
-2011-05-31 19:00:05,122 INFO Verificando /var/www/expresso/security/crls/acserprorfb.crl(824046 Bytes)
-2011-05-31 19:00:05,130 INFO Verificando /var/www/expresso/security/crls/acserprorfb.crl(824046 Bytes)
-2011-05-31 19:00:05,378 INFO 
-2011-05-31 19:00:05,379 INFO verify OK
-2011-05-31 19:00:05,379 INFO 
-2011-05-31 19:00:05,389 INFO 
-2011-05-31 19:00:05,390 INFO verify OK
-2011-05-31 19:00:05,390 INFO 
-2011-05-31 19:00:05,422 INFO Buscando a CRL: http://acraiz.icpbrasil.gov.br/LCRacraizv1.crl
-2011-05-31 19:00:05,519 INFO Buscando a CRL: http://acraiz.icpbrasil.gov.br/LCRacraizv1.crl
-2011-05-31 19:00:05,747 INFO Verificando /var/www/expresso/security/crls/LCRacraizv1.crl(577 Bytes)
-2011-05-31 19:00:05,867 INFO Verificando /var/www/expresso/security/crls/LCRacraizv1.crl(577 Bytes)
-2011-05-31 19:00:05,878 INFO 
-2011-05-31 19:00:05,879 INFO verify OK
-2011-05-31 19:00:05,879 INFO 
-2011-05-31 19:00:05,920 INFO Buscando a CRL: http://acraiz.icpbrasil.gov.br/LCRacraiz.crl
-2011-05-31 19:00:06,019 INFO 
-2011-05-31 19:00:06,020 INFO verify OK
-2011-05-31 19:00:06,020 INFO 
-2011-05-31 19:00:06,042 INFO Buscando a CRL: http://acraiz.icpbrasil.gov.br/LCRacraiz.crl
-2011-05-31 19:00:06,148 INFO 
-2011-05-31 19:00:06,149 INFO --2011-05-31 19:00:05--  http://acraiz.icpbrasil.gov.br/LCRacraiz.crl
-2011-05-31 19:00:06,149 INFO Resolving acraiz.icpbrasil.gov.br... 200.130.30.4, 200.130.30.10, 189.9.8.12
-2011-05-31 19:00:06,149 INFO Connecting to acraiz.icpbrasil.gov.br|200.130.30.4|:80... connected.
-2011-05-31 19:00:06,149 INFO HTTP request sent, awaiting response... 200 OK
-2011-05-31 19:00:06,150 INFO Length: 586 [application/x-pkcs7-crl]
-2011-05-31 19:00:06,150 INFO Saving to: `/var/www/expresso/security/crls/LCRacraiz.crl'
-2011-05-31 19:00:06,150 INFO 
-2011-05-31 19:00:06,150 INFO      0K                                                       100% 27.2M=0s
-2011-05-31 19:00:06,150 INFO 
-2011-05-31 19:00:06,151 INFO 2011-05-31 19:00:06 (27.2 MB/s) - `/var/www/expresso/security/crls/LCRacraiz.crl' saved [586/586]
-2011-05-31 19:00:06,151 INFO 
-2011-05-31 19:00:06,151 INFO 
-2011-05-31 19:00:06,151 CRITICAL Nao foi possivel obter a CRL http://acraiz.icpbrasil.gov.br/LCRacraiz.crl
-
-2011-05-31 19:00:06,152 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/acserpro.crl
-2011-05-31 19:00:06,368 INFO 
-2011-05-31 19:00:06,369 INFO --2011-05-31 19:00:06--  http://acraiz.icpbrasil.gov.br/LCRacraiz.crl
-2011-05-31 19:00:06,369 INFO Resolving acraiz.icpbrasil.gov.br... 189.9.8.12, 200.130.30.4, 200.130.30.10
-2011-05-31 19:00:06,370 INFO Connecting to acraiz.icpbrasil.gov.br|189.9.8.12|:80... connected.
-2011-05-31 19:00:06,370 INFO HTTP request sent, awaiting response... 200 OK
-2011-05-31 19:00:06,370 INFO Length: 586 [application/x-pkcs7-crl]
-2011-05-31 19:00:06,370 INFO Saving to: `/var/www/expresso/security/crls/LCRacraiz.crl'
-2011-05-31 19:00:06,371 INFO 
-2011-05-31 19:00:06,371 INFO      0K                                                       100% 28.9M=0s
-2011-05-31 19:00:06,371 INFO 
-2011-05-31 19:00:06,371 INFO utime(/var/www/expresso/security/crls/LCRacraiz.crl): No such file or directory
-2011-05-31 19:00:06,371 INFO 2011-05-31 19:00:06 (28.9 MB/s) - `/var/www/expresso/security/crls/LCRacraiz.crl' saved [586/586]
-2011-05-31 19:00:06,372 INFO 
-2011-05-31 19:00:06,372 INFO 
-2011-05-31 19:00:06,372 CRITICAL Nao foi possivel obter a CRL http://acraiz.icpbrasil.gov.br/LCRacraiz.crl
-
-2011-05-31 19:00:06,373 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/acserpro.crl
-2011-05-31 19:00:06,384 INFO Verificando /var/www/expresso/security/crls/acserpro.crl(566 Bytes)
-2011-05-31 19:00:06,617 INFO Verificando /var/www/expresso/security/crls/acserpro.crl(566 Bytes)
-2011-05-31 19:00:06,629 INFO 
-2011-05-31 19:00:06,629 INFO unable to load CRL
-2011-05-31 19:00:06,630 INFO 30225:error:0D07207B:asn1 encoding routines:ASN1_get_object:header too long:asn1_lib.c:150:
-2011-05-31 19:00:06,630 INFO 
-2011-05-31 19:00:06,630 CRITICAL Erro verificando a CRL /var/www/expresso/security/crls/acserpro.crl
-
-2011-05-31 19:00:06,630 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/acserprojus.crl
-2011-05-31 19:00:06,769 INFO 
-2011-05-31 19:00:06,770 INFO /var/www/expresso/security/crls/acserpro.crl: No such file or directory
-2011-05-31 19:00:06,770 INFO 
-2011-05-31 19:00:06,770 CRITICAL Erro verificando a CRL /var/www/expresso/security/crls/acserpro.crl
-
-2011-05-31 19:00:06,770 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/acserprojus.crl
-2011-05-31 19:00:06,969 INFO Verificando /var/www/expresso/security/crls/acserprojus.crl(520 Bytes)
-2011-05-31 19:00:06,993 INFO Verificando /var/www/expresso/security/crls/acserprojus.crl(520 Bytes)
-2011-05-31 19:00:07,121 INFO 
-2011-05-31 19:00:07,122 INFO verify OK
-2011-05-31 19:00:07,122 INFO 
-2011-05-31 19:00:07,133 INFO 
-2011-05-31 19:00:07,134 INFO verify OK
-2011-05-31 19:00:07,134 INFO 
-2011-05-31 19:00:07,173 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/acserprorfb.crl
-2011-05-31 19:00:07,270 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/acserprorfb.crl
-2011-05-31 19:00:08,108 INFO Verificando /var/www/expresso/security/crls/acserprorfb.crl(824046 Bytes)
-2011-05-31 19:00:08,119 INFO Verificando /var/www/expresso/security/crls/acserprorfb.crl(824046 Bytes)
-2011-05-31 19:00:08,396 INFO 
-2011-05-31 19:00:08,396 INFO verify OK
-2011-05-31 19:00:08,397 INFO 
-2011-05-31 19:00:08,418 INFO 
-2011-05-31 19:00:08,418 INFO verify OK
-2011-05-31 19:00:08,419 INFO 
-2011-05-31 19:00:08,442 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/acserprosrf.crl
-2011-05-31 19:00:08,519 INFO Buscando a CRL: http://ccd.serpro.gov.br/lcr/acserprosrf.crl
-2011-05-31 19:00:08,644 INFO Verificando /var/www/expresso/security/crls/acserprosrf.crl(8455 Bytes)
-2011-05-31 19:00:08,872 INFO Verificando /var/www/expresso/security/crls/acserprosrf.crl(74095 Bytes)
-2011-05-31 19:00:08,884 INFO 
-2011-05-31 19:00:08,885 INFO unable to load CRL
-2011-05-31 19:00:08,885 INFO 30241:error:0D06B08E:asn1 encoding routines:ASN1_D2I_READ_BIO:not enough data:a_d2i_fp.c:238:
-2011-05-31 19:00:08,885 INFO 
-2011-05-31 19:00:08,886 CRITICAL Erro verificando a CRL /var/www/expresso/security/crls/acserprosrf.crl
-
-2011-05-31 19:00:08,886 INFO Buscando a CRL: http://icp.caixa.gov.br/repositorio/ACCAIXA1.crl
-2011-05-31 19:00:09,024 INFO 
-2011-05-31 19:00:09,025 INFO /var/www/expresso/security/crls/acserprosrf.crl: No such file or directory
-2011-05-31 19:00:09,025 INFO 
-2011-05-31 19:00:09,026 CRITICAL Erro verificando a CRL /var/www/expresso/security/crls/acserprosrf.crl
-
-2011-05-31 19:00:09,026 INFO Buscando a CRL: http://icp.caixa.gov.br/repositorio/ACCAIXA1.crl
-2011-05-31 19:00:09,233 INFO Verificando /var/www/expresso/security/crls/ACCAIXA1.crl(658 Bytes)
-2011-05-31 19:00:09,357 INFO Verificando /var/www/expresso/security/crls/ACCAIXA1.crl(658 Bytes)
-2011-05-31 19:00:09,372 INFO 
-2011-05-31 19:00:09,373 INFO verify OK
-2011-05-31 19:00:09,373 INFO 
-2011-05-31 19:00:09,505 INFO 
-2011-05-31 19:00:09,506 INFO verify OK
-2011-05-31 19:00:09,506 INFO 
-2011-05-31 19:00:09,516 INFO Buscando a CRL: http://icp.caixa.gov.br/repositorio/ACCAIXAPF1.crl
-2011-05-31 19:00:09,552 INFO Buscando a CRL: http://icp.caixa.gov.br/repositorio/ACCAIXAPF1.crl
-2011-05-31 19:00:18,921 INFO Verificando /var/www/expresso/security/crls/ACCAIXAPF1.crl(89059 Bytes)
-2011-05-31 19:00:19,061 INFO 
-2011-05-31 19:00:19,061 INFO verify OK
-2011-05-31 19:00:19,062 INFO 
-2011-05-31 19:00:19,189 INFO Buscando a CRL: http://icp.caixa.gov.br/repositorio/ACCAIXAPJ1.crl
-2011-05-31 19:00:23,210 INFO Verificando /var/www/expresso/security/crls/ACCAIXAPF1.crl(89059 Bytes)
-2011-05-31 19:00:23,354 INFO 
-2011-05-31 19:00:23,355 INFO verify OK
-2011-05-31 19:00:23,355 INFO 
-2011-05-31 19:00:23,376 INFO Buscando a CRL: http://icp.caixa.gov.br/repositorio/ACCAIXAPJ1.crl
-2011-05-31 19:00:30,754 INFO 
-2011-05-31 19:00:30,754 INFO --2011-05-31 19:00:23--  http://icp.caixa.gov.br/repositorio/ACCAIXAPJ1.crl
-2011-05-31 19:00:30,754 INFO Resolving icp.caixa.gov.br... 200.201.163.44
-2011-05-31 19:00:30,755 INFO Connecting to icp.caixa.gov.br|200.201.163.44|:80... connected.
-2011-05-31 19:00:30,755 INFO HTTP request sent, awaiting response... 200 OK
-2011-05-31 19:00:30,755 INFO Length: 117882 (115K) [application/pkix-crl]
-2011-05-31 19:00:30,755 INFO Saving to: `/var/www/expresso/security/crls/ACCAIXAPJ1.crl'
-2011-05-31 19:00:30,756 INFO 
-2011-05-31 19:00:30,756 INFO      0K .......... .......... .......... .......... .......... 43% 24.0K 3s
-2011-05-31 19:00:30,756 INFO     50K .......... .......... .......... .......... .......... 86% 14.0K 1s
-2011-05-31 19:00:30,756 INFO    100K .......... .....                                      100% 10.8K=7.0s
-2011-05-31 19:00:30,756 INFO 
-2011-05-31 19:00:30,757 INFO utime(/var/www/expresso/security/crls/ACCAIXAPJ1.crl): No such file or directory
-2011-05-31 19:00:30,757 INFO 2011-05-31 19:00:30 (16.3 KB/s) - `/var/www/expresso/security/crls/ACCAIXAPJ1.crl' saved [117882/117882]
-2011-05-31 19:00:30,757 INFO 
-2011-05-31 19:00:30,757 INFO 
-2011-05-31 19:00:30,758 CRITICAL Nao foi possivel obter a CRL http://icp.caixa.gov.br/repositorio/ACCAIXAPJ1.crl
-
-2011-05-31 19:00:30,758 INFO Buscando a CRL: http://icp.caixa.gov.br/repositorio/ACCAIXAJUS.crl
-2011-05-31 19:00:50,572 INFO Verificando /var/www/expresso/security/crls/ACCAIXAPJ1.crl(117882 Bytes)
-2011-05-31 19:00:50,724 INFO 
-2011-05-31 19:00:50,725 INFO verify OK
-2011-05-31 19:00:50,725 INFO 
-2011-05-31 19:00:50,746 INFO Buscando a CRL: http://icp.caixa.gov.br/repositorio/ACCAIXAJUS.crl
-2011-05-31 19:00:52,195 INFO Verificando /var/www/expresso/security/crls/ACCAIXAJUS.crl(259 Bytes)
-2011-05-31 19:00:52,323 INFO 
-2011-05-31 19:00:52,324 INFO unable to load CRL
-2011-05-31 19:00:52,324 INFO 30277:error:0D06B08E:asn1 encoding routines:ASN1_D2I_READ_BIO:not enough data:a_d2i_fp.c:238:
-2011-05-31 19:00:52,324 INFO 
-2011-05-31 19:00:52,324 CRITICAL Erro verificando a CRL /var/www/expresso/security/crls/ACCAIXAJUS.crl
-
-2011-05-31 19:00:52,325 INFO Buscando a CRL: http://ccdhom.serpro.gov.br/lcr/homacraizv2.crl
-2011-05-31 19:00:52,648 INFO 
-2011-05-31 19:00:52,648 INFO --2011-05-31 19:00:52--  http://ccdhom.serpro.gov.br/lcr/homacraizv2.crl
-2011-05-31 19:00:52,649 INFO Resolving ccdhom.serpro.gov.br... 161.148.1.32
-2011-05-31 19:00:52,649 INFO Connecting to ccdhom.serpro.gov.br|161.148.1.32|:80... connected.
-2011-05-31 19:00:52,649 INFO HTTP request sent, awaiting response... 404 Not Found
-2011-05-31 19:00:52,649 INFO 2011-05-31 19:00:52 ERROR 404: Not Found.
-2011-05-31 19:00:52,649 INFO 
-2011-05-31 19:00:52,650 INFO 
-2011-05-31 19:00:52,650 CRITICAL Nao foi possivel obter a CRL http://ccdhom.serpro.gov.br/lcr/homacraizv2.crl
-
-2011-05-31 19:00:52,650 INFO Buscando a CRL: http://ccdhom.serpro.gov.br/lcr/homserprov2.crl
-2011-05-31 19:00:52,876 INFO 
-2011-05-31 19:00:52,876 INFO --2011-05-31 19:00:52--  http://ccdhom.serpro.gov.br/lcr/homserprov2.crl
-2011-05-31 19:00:52,877 INFO Resolving ccdhom.serpro.gov.br... 161.148.1.32
-2011-05-31 19:00:52,877 INFO Connecting to ccdhom.serpro.gov.br|161.148.1.32|:80... connected.
-2011-05-31 19:00:52,877 INFO HTTP request sent, awaiting response... 404 Not Found
-2011-05-31 19:00:52,877 INFO 2011-05-31 19:00:52 ERROR 404: Not Found.
-2011-05-31 19:00:52,878 INFO 
-2011-05-31 19:00:52,878 INFO 
-2011-05-31 19:00:52,878 CRITICAL Nao foi possivel obter a CRL http://ccdhom.serpro.gov.br/lcr/homserprov2.crl
-
-2011-05-31 19:00:52,878 INFO Buscando a CRL: http://ccdhom.serpro.gov.br/lcr/acserprorfbv1.crl
-2011-05-31 19:00:53,409 INFO Verificando /var/www/expresso/security/crls/acserprorfbv1.crl(134437 Bytes)
-2011-05-31 19:00:53,545 INFO 
-2011-05-31 19:00:53,546 INFO verify OK
-2011-05-31 19:00:53,546 INFO 
-2011-05-31 19:01:06,592 INFO 
-2011-05-31 19:01:06,592 INFO --2011-05-31 19:00:50--  http://icp.caixa.gov.br/repositorio/ACCAIXAJUS.crl
-2011-05-31 19:01:06,592 INFO Resolving icp.caixa.gov.br... 200.201.163.44
-2011-05-31 19:01:06,593 INFO Connecting to icp.caixa.gov.br|200.201.163.44|:80... connected.
-2011-05-31 19:01:06,593 INFO HTTP request sent, awaiting response... 200 OK
-2011-05-31 19:01:06,593 INFO Length: 71506 (70K) [application/pkix-crl]
-2011-05-31 19:01:06,593 INFO Saving to: `/var/www/expresso/security/crls/ACCAIXAJUS.crl'
-2011-05-31 19:01:06,594 INFO 
-2011-05-31 19:01:06,594 INFO      0K                                                         1%  159 =4.9s
-2011-05-31 19:01:06,594 INFO 
-2011-05-31 19:01:06,594 INFO 2011-05-31 19:01:06 (159 B/s) - Read error at byte 783/71506 (Connection timed out). Giving up.
-2011-05-31 19:01:06,594 INFO 
-2011-05-31 19:01:06,595 INFO 
-2011-05-31 19:01:06,595 CRITICAL Nao foi possivel obter a CRL http://icp.caixa.gov.br/repositorio/ACCAIXAJUS.crl
-
-2011-05-31 19:01:06,595 INFO Buscando a CRL: http://ccdhom.serpro.gov.br/lcr/homacraizv2.crl
-2011-05-31 19:01:06,820 INFO 
-2011-05-31 19:01:06,820 INFO --2011-05-31 19:01:06--  http://ccdhom.serpro.gov.br/lcr/homacraizv2.crl
-2011-05-31 19:01:06,821 INFO Resolving ccdhom.serpro.gov.br... 161.148.1.32
-2011-05-31 19:01:06,821 INFO Connecting to ccdhom.serpro.gov.br|161.148.1.32|:80... connected.
-2011-05-31 19:01:06,821 INFO HTTP request sent, awaiting response... 404 Not Found
-2011-05-31 19:01:06,821 INFO 2011-05-31 19:01:06 ERROR 404: Not Found.
-2011-05-31 19:01:06,822 INFO 
-2011-05-31 19:01:06,822 INFO 
-2011-05-31 19:01:06,822 CRITICAL Nao foi possivel obter a CRL http://ccdhom.serpro.gov.br/lcr/homacraizv2.crl
-
-2011-05-31 19:01:06,822 INFO Buscando a CRL: http://ccdhom.serpro.gov.br/lcr/homserprov2.crl
-2011-05-31 19:01:07,048 INFO 
-2011-05-31 19:01:07,049 INFO --2011-05-31 19:01:06--  http://ccdhom.serpro.gov.br/lcr/homserprov2.crl
-2011-05-31 19:01:07,049 INFO Resolving ccdhom.serpro.gov.br... 161.148.1.32
-2011-05-31 19:01:07,049 INFO Connecting to ccdhom.serpro.gov.br|161.148.1.32|:80... connected.
-2011-05-31 19:01:07,049 INFO HTTP request sent, awaiting response... 404 Not Found
-2011-05-31 19:01:07,050 INFO 2011-05-31 19:01:06 ERROR 404: Not Found.
-2011-05-31 19:01:07,050 INFO 
-2011-05-31 19:01:07,050 INFO 
-2011-05-31 19:01:07,050 CRITICAL Nao foi possivel obter a CRL http://ccdhom.serpro.gov.br/lcr/homserprov2.crl
-
-2011-05-31 19:01:07,051 INFO Buscando a CRL: http://ccdhom.serpro.gov.br/lcr/acserprorfbv1.crl
-2011-05-31 19:01:07,176 INFO Verificando /var/www/expresso/security/crls/acserprorfbv1.crl(134437 Bytes)
-2011-05-31 19:01:07,316 INFO 
-2011-05-31 19:01:07,317 INFO verify OK
-2011-05-31 19:01:07,317 INFO 