Index: branches/2.2/expressoMail1_2/templates/default/readRss.tpl
===================================================================
--- branches/2.2/expressoMail1_2/templates/default/readRss.tpl	(revision 4959)
+++ branches/2.2/expressoMail1_2/templates/default/readRss.tpl	(revision 4959)
@@ -0,0 +1,65 @@
+<!-- BEGIN bodyRSS -->
+<script type="text/javascript" src="phpgwapi/js/x_tools/xtools.js"></script>
+<script type="text/javascript" src="{path_expressoMail}/js/news_edit.js"></script>
+<script>
+
+	function selectAll() 
+	{
+		if( arguments.length > 0 )
+		{
+			var _select = document.getElementById( arguments[0] );
+
+			for( var i = 0 ; i < _select.options.length; i++ )
+			{
+				_select.options[i].selected = true;
+			}
+		}
+	}
+	
+</script>
+
+<form method="POST" action="{action_url}">
+	<center>
+		<div style="width:500px;border:1px solid #000;">
+			
+			<div style="margin:20px; height:35px;text-align:left;">
+				<img src="{path_expressoMail}/templates/default/images/rss.gif"/>
+				<label style="font-size:12px;font-weight:bold;"> {lang_RSS_Manager} </label>
+			</div>
+			
+			<div style="margin:20px; text-align:left;">
+				<label>{lang_enable_RSS} .:</label>
+				<br/>
+				<select id="enabledReadRSS" name="newsettings[expressoMail_enabled_read_rss]">
+					<option value="false" {selected_expressoMail_enabled_read_rss_false}>{lang_No}</option>
+					<option value="true" {selected_expressoMail_enabled_read_rss_true}>{lang_Yes}</option>	            
+				</select>
+			</div>
+
+			<div style="margin:5px 5px 5px 20px; text-align:left;">
+				<label>{lang_enter_Rss} .:</label>
+				<br/>
+				<input type="text" id="rssEnter" size="45"/>
+			</div>
+
+			<div style="margin:5px 5px 5px 20px; text-align:left;">
+				<button type="button" onclick="news_edit.subscribe();">{lang_add}</button>
+				<button type="button" onclick="news_edit.unsubscribe();">{lang_remove}</button>
+			</div>
+			
+			<div style="margin:15px 5px 5px 20px; text-align:left;">
+				<label>{lang_list_rss} .:</label>
+				<br/>
+				<select id="list_rss" size="10" style="width:320px;" multiple name="newsettings_expressoMail_list_rss[]">{options_list_rss}</select>
+			</div>
+			
+			<div style="margin:20px; text-align:left;">
+				<input type="submit" name="save" value="{lang_submit}" onclick="selectAll('list_rss');" />
+				<input type="submit" name="cancel" value="{lang_cancel}" />
+			</div>
+			<input id="lang_can_not_access_this_rss" type="hidden" name="lang_can_not_access_this_rss" value="{lang_can_not_access_this_rss}" />
+		</div>
+	</center>
+</form>
+
+<!-- END bodyRSS -->
Index: branches/2.2/expressoMail1_2/inc/class.uiconfigRSS.inc.php
===================================================================
--- branches/2.2/expressoMail1_2/inc/class.uiconfigRSS.inc.php	(revision 4959)
+++ branches/2.2/expressoMail1_2/inc/class.uiconfigRSS.inc.php	(revision 4959)
@@ -0,0 +1,126 @@
+<?php
+
+  /***************************************************************************\
+  *  Expresso - ReadRSS			                                              *
+  * ------------------------------------------------------------------------- *
+  *  This program is free software; you can redistribute it and/or modify it  *
+  *  under the terms of the GNU General Public License as published by the    *
+  *  Free Software Foundation; either version 2 of the License, or (at your   *
+  *  option) any later version.                                               *
+  \***************************************************************************/
+
+class uiconfigRss
+{
+	private $dao;
+	
+	public $public_functions = array(
+		'editRss'  	=> True,
+		'saveRss'		=> True,
+	);
+	
+	function __construct()
+	{
+		$this->dao = CreateObject('phpgwapi.config',$GLOBALS['phpgw_info']['flags']['currentapp']);
+		$GLOBALS['phpgw']->common->phpgw_header();
+		$this->dao->read_repository();
+	}	
+	
+	public final function editRss()
+	{
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
+		{
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
+		}
+
+		$webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
+		$webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
+		
+		$GLOBALS['phpgw_info']['flags']['app_header'] = lang('Admin') .' - ' . lang('RSS Reader');
+		echo parse_navbar();
+		
+		$path_expressoMail = $webserver_url . "/". $GLOBALS['phpgw_info']['flags']['currentapp']; 
+		
+		if ($this->dao->config_data )
+		{
+			$current_config = $this->dao->config_data;
+		}
+		
+		$selected_true = "";
+		 
+		if( $current_config['expressoMail_enabled_read_rss'] === 'true' )
+		{
+			$selected_true = 'selected';
+		}
+
+		//Option True / False
+		$selected_false = "";
+		
+		if( $current_config['expressoMail_enabled_read_rss'] === 'false' )
+		{
+			$selected_false = 'selected';
+		}
+
+		// Options
+		$option = "";
+		
+		if( $current_config['expressoMail_list_rss'] )
+		{
+			foreach($current_config['expressoMail_list_rss'] as $config)
+			{
+				$item = explode("|", $config);
+				$option .= "<option value='{$config}'>".$item[1]."</option>";
+			}
+		}
+		
+		$GLOBALS['phpgw']->template->set_file(array('readRSS' => 'readRss.tpl'));
+		$GLOBALS['phpgw']->template->set_block('readRSS','bodyRSS');	
+		$GLOBALS['phpgw']->template->set_var(array(
+													'action_url'		=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoMail1_2.uiconfigRSS.saveRss'),											
+													'lang_add'			=> lang('Add'),	
+													'lang_cancel'		=> lang('Cancel'),
+													'lang_enable_RSS'	 => lang('Enable RSS reader'),
+													'lang_enter_Rss'	=> lang('Enter the URL of the RSS service'),
+													'lang_list_rss'		=> lang('List of registered RSS'),
+													'lang_submit' 		=> lang('Save'),
+													'lang_remove'		=> lang('remove'),
+													'lang_RSS_Manager'	=> lang('RSS Manager'),	
+													'lang_No' 			=> lang('No'),
+													'lang_Yes' 			=> lang('Yes'),
+													'lang_can_not_access_this_rss' => lang('Can not access this RSS'),
+													'selected_expressoMail_enabled_read_rss_true' => $selected_true, 
+													'selected_expressoMail_enabled_read_rss_false' => $selected_false,
+													'options_list_rss'	=> $option,
+													'path_expressoMail'	=> $path_expressoMail
+											));
+		
+		$GLOBALS['phpgw']->template->pparse('out','bodyRSS');
+	}
+	
+	public final function saveRss()
+	{
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
+		{
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
+		}		
+		else
+		{
+			if ( $_POST['save'] )
+			{
+				$listRss = ( $_POST['newsettings_expressoMail_list_rss'] ) ? serialize($_POST['newsettings_expressoMail_list_rss']) : "" ;
+				
+				$this->dao->config_data['expressoMail_list_rss'] = $listRss;
+				
+				foreach($_POST['newsettings'] as $key => $config)
+				{
+					$this->dao->config_data[$key] = $config;
+				}
+
+				$this->dao->save_repository();
+			}
+
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
+		}		
+	}
+}
+
+?>