Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/AceitarCompromissoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/AceitarCompromissoTestCase.java	(revision 4962)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/AceitarCompromissoTestCase.java	(revision 4962)
@@ -0,0 +1,46 @@
+package org.expressolivre.cte.calendar.visualizar;
+
+import java.text.SimpleDateFormat;
+import java.util.Calendar;
+
+import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.calendar.AppointmentEmailPage;
+import org.expressolivre.cte.pages.calendar.AppointmentStatusPage;
+import org.testng.Assert;
+import org.testng.annotations.Optional;
+import org.testng.annotations.Parameters;
+import org.testng.annotations.Test;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Aug 18, 2011 at 2:52:45 PM
+ * 
+ */
+public class AceitarCompromissoTestCase extends BaseEmailTestCase {
+
+	@Parameters({ "titulo", "dataInicial", "horaInicial", "minutoInicial" })
+	@Test
+	public void aceitarCompromisso(String titulo,
+
+	@Optional("") String dataInicial, String horaInicial, String minutoInicial) {
+
+		Calendar cal = Calendar.getInstance();
+		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");
+
+		// Se a data inicial nao for informada, pega data corrente.
+		if ("".equals(dataInicial)) {
+			dataInicial = sdf2.format(cal.getTime());
+		}
+
+		String assunto = "Evento do CalendÃ¡rio - Adicionado: " + dataInicial
+				+ " - " + horaInicial + ":" + minutoInicial + " " + titulo;
+
+		String id = mp.getEmailId(assunto);
+		AppointmentEmailPage aep = mp.readAppointmentEmail(assunto);
+		AppointmentStatusPage asp = aep.accept(id);
+		Assert.assertEquals(asp.getMessage(),
+				"O compromisso foi aceito com sucesso!");
+		asp.close();
+	}
+}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/MarcarTentativaCompromissoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/MarcarTentativaCompromissoTestCase.java	(revision 4962)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/MarcarTentativaCompromissoTestCase.java	(revision 4962)
@@ -0,0 +1,57 @@
+package org.expressolivre.cte.calendar.visualizar;
+
+import java.text.SimpleDateFormat;
+import java.util.Calendar;
+
+import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.calendar.AppointmentEmailPage;
+import org.expressolivre.cte.pages.calendar.AppointmentStatusPage;
+import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
+import org.testng.Assert;
+import org.testng.annotations.Optional;
+import org.testng.annotations.Parameters;
+import org.testng.annotations.Test;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Aug 19, 2011 at 11:23:45 AM
+ * 
+ */
+public class MarcarTentativaCompromissoTestCase extends BaseEmailTestCase {
+
+	@Parameters({ "titulo", "dataInicial", "horaInicial", "minutoInicial" })
+	@Test
+	public void marcarTentativaCompromisso(String titulo,
+
+	@Optional("") String dataInicial, String horaInicial, String minutoInicial)
+			throws Exception {
+
+		Calendar cal = Calendar.getInstance();
+		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");
+
+		// Se a data inicial nao for informada, pega data corrente.
+		if ("".equals(dataInicial)) {
+			dataInicial = sdf2.format(cal.getTime());
+		}
+
+		String assunto = "Evento do CalendÃ¡rio - Adicionado: " + dataInicial
+				+ " - " + horaInicial + ":" + minutoInicial + " " + titulo;
+
+		String id = mp.getEmailId(assunto);
+		AppointmentEmailPage aep = mp.readAppointmentEmail(assunto);
+		AppointmentStatusPage asp = aep.tentative(id);
+		Assert.assertEquals(asp.getMessage(),
+				"O compromisso foi aceito com sucesso!");
+		aep = asp.close();
+
+		// TODO espera um tempo ate a janela popup fechar. Rever essa
+		// implementacao pois o close acima nao esta funcionando como deveria.
+		super.dummyWait(5);
+
+		AppointmentViewPage avp = aep.viewAppointment(id);
+		System.out.println(avp
+				.getAppointmentInfo(AppointmentViewPage.PARTICIPANTS));
+
+	}
+}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/RejeitarCompromissoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/RejeitarCompromissoTestCase.java	(revision 4962)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/RejeitarCompromissoTestCase.java	(revision 4962)
@@ -0,0 +1,56 @@
+package org.expressolivre.cte.calendar.visualizar;
+
+import java.text.SimpleDateFormat;
+import java.util.Calendar;
+
+import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.calendar.AppointmentEmailPage;
+import org.expressolivre.cte.pages.calendar.AppointmentStatusPage;
+import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
+import org.testng.Assert;
+import org.testng.annotations.Optional;
+import org.testng.annotations.Parameters;
+import org.testng.annotations.Test;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Aug 19, 2011 at 11:19:45 AM
+ * 
+ */
+public class RejeitarCompromissoTestCase extends BaseEmailTestCase {
+
+	@Parameters({ "titulo", "dataInicial", "horaInicial", "minutoInicial" })
+	@Test
+	public void rejeitarCompromisso(String titulo,
+
+	@Optional("") String dataInicial, String horaInicial, String minutoInicial)
+			throws Exception {
+
+		Calendar cal = Calendar.getInstance();
+		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");
+
+		// Se a data inicial nao for informada, pega data corrente.
+		if ("".equals(dataInicial)) {
+			dataInicial = sdf2.format(cal.getTime());
+		}
+
+		String assunto = "Evento do CalendÃ¡rio - Adicionado: " + dataInicial
+				+ " - " + horaInicial + ":" + minutoInicial + " " + titulo;
+
+		String id = mp.getEmailId(assunto);
+		AppointmentEmailPage aep = mp.readAppointmentEmail(assunto);
+		AppointmentStatusPage asp = aep.reject(id);
+		Assert.assertEquals(asp.getMessage(),
+				"O compromisso foi rejeitado com sucesso!");
+		aep = asp.close();
+
+		// TODO espera um tempo ate a janela popup fechar. Rever essa
+		// implementacao pois o close acima nao esta funcionando como deveria.
+		super.dummyWait(5);
+
+		AppointmentViewPage avp = aep.viewAppointment(id);
+		System.out.println(avp
+				.getAppointmentInfo(AppointmentViewPage.PARTICIPANTS));
+	}
+}