Index: branches/2.2/expressoMail1_2/inc/class.ldap_functions.inc.php
===================================================================
--- branches/2.2/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 4950)
+++ branches/2.2/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 4973)
@@ -331,25 +331,25 @@
 
 		$phoneUser = $contacts_result['phone'];
-
-		if($_SESSION['phpgw_info']['user']['preferences']['expressoMail']['voip_enabled'] && $phoneUser) {
-			$phoneUser = '<a title="'.$this->functions->getLang("Call to Comercial Number").'" href="#" onclick="InfoContact.connectVoip(\''.$phoneUser.'\',\'com\')">'.$phoneUser.'</a>';
-			if($contacts_result['mobile']){
-				$phoneUser .= ' / <a title="'.$this->functions->getLang("Call to Mobile Number").'" href="#" onclick="InfoContact.connectVoip(\''.$contacts_result['mobile'].'\',\'mob\')">'.$contacts_result['mobile'].'</a>';
-			}
-		}
-		//verifica de existe o celular do funcionario ($contacts_result["mobile"]), se nao, $phoneUser fica vazia;
-
-		    $mobileUser = $contacts_result["mobile"];
-		    if($mobileUser && !$voipMobile) {
-			    $phoneUser .= " / $mobileUser";
-		    }
-		    $empNumber = $contacts_result["employeenumber"];
-		    if($empNumber) {
-			    $empNumber = "$empNumber - ";
-		    }
-		    $ou = $contacts_result["ou"];
-		    if($ou) {
-			    $ou = "<br/>$ou" ;
-		    }
+		$mobileUser = $contacts_result["mobile"];
+		if($mobileUser){
+			$phoneUser .= " / $mobileUser";
+		}
+		
+		if($_SESSION['phpgw_info']['user']['preferences']['expressoMail']['voip_enabled']) {
+			$phoneUser = $contacts_result['phone'];
+			if($phoneUser)
+				$phoneUser = '<a title="'.$this->functions->getLang("Call to Comercial Number").'" href="#" onclick="InfoContact.connectVoip(\''.$phoneUser.'\',\'com\')">'.$phoneUser.'</a>';
+			if($mobileUser)
+				$phoneUser .= ' / <a title="'.$this->functions->getLang("Call to Mobile Number").'" href="#" onclick="InfoContact.connectVoip(\''.$mobileUser.'\',\'mob\')">'.$mobileUser.'</a>';
+		}
+
+		$empNumber = $contacts_result["employeenumber"];
+	    if($empNumber) {
+		    $empNumber = "$empNumber - ";
+	    }
+	    $ou = $contacts_result["ou"];
+	    if($ou) {
+		    $ou = "<br/>$ou" ;
+	    }
 
 		// Begin: nickname, firstname and lastname for QuickAdd.
Index: branches/2.2/expressoMail1_2/js/InfoContact.js
===================================================================
--- branches/2.2/expressoMail1_2/js/InfoContact.js	(revision 3388)
+++ branches/2.2/expressoMail1_2/js/InfoContact.js	(revision 4973)
@@ -93,8 +93,10 @@
 
 
-	if(preferences.voip_enabled && phoneUser) {
-		phoneUser = "<a title=\""+get_lang("Call to Comercial Number")+"\" href=\"#\" onclick=\"InfoContact.connectVoip('"+phoneUser+"', 'com')\">"+phoneUser+"</a>";
+	if(preferences.voip_enabled) {
+		phoneUser = '';
+		if(data.telefone)
+			phoneUser = "<a title=\""+get_lang("Call to Comercial Number")+"\" href=\"#\" onclick=\"InfoContact.connectVoip('"+ data.telefone+"', 'com')\">"+ data.telefone+"</a>";
 		if(data.mobile){
-			phoneUser += " / <a title=\""+get_lang("Call to Mobile Number")+"\" href=\"#\" onclick=\"InfoContact.connectVoip('"+data.mobile+"', 'mob')\">"+data.mobile+"</a>";
+			phoneUser += "<br>&nbsp;<a title=\""+get_lang("Call to Mobile Number")+"\" href=\"#\" onclick=\"InfoContact.connectVoip('"+data.mobile+"', 'mob')\">"+data.mobile+"</a>";
 		}
 	}
@@ -104,12 +106,11 @@
 						"<td  style='padding-top:4px' align='center' valign='center' colspan ='2'><img src='templates/"+template+"/images/"+(data.type)+"_catalog.png' /><font size=1 color=BLACK>&nbsp;<b>"+get_lang("Sender's Information")+"</b></font>"+_this.verifyIM(data.uid,data.email)+"</td></tr>"+
 
-						"<tr><td align='center' width='70' height='93' style='padding-left:6px' align='center' valign='center'>"+
+						"<tr><td align='center' style='width:70px;height:93px;padding-left:6px' align='center' valign='center'>"+
 						"<img style='float:left' src='./inc/show_img.php?email="+data.email+"'></td>"+
-						"<td style='padding-left:2px' align='left' valign='top'>"+
+						"<td style='padding-left:2px' width='70%' align='left' valign='top'>"+
 						"<br><img style='float:left'align='center' src='templates/"+template+"/images/phone.gif' />&nbsp;<font  size=1  color=BLACK>"+(phoneUser ? phoneUser : get_lang("None") )+"</font><br />"+
-						"<font size=1 color=BLACK>"+employeeNumber+"<br/>"+cn+"</font>"+
+						"<br><font size=1 color=BLACK>"+cn+"</font><br><b>"+employeeNumber+"</b>"+
 						"<br/>"+ou+"</td></tr>"+
-
-						"<tr><td  style='padding-bottom:4px' align='center' valign='center' colspan ='2'><span title='"+get_lang("Write message")+"' style='cursor:pointer' onclick='InfoContact.sendMail(\""+cn+"\",\""+data.email+"\")'><font size=1 color=DARKBLUE><u>"+data.email+"</u></font></span>"+
+						"<tr><td  style='padding-bottom:4px' align='center' valign='center' colspan ='2' nowrap><span title='"+get_lang("Write message")+"' style='cursor:pointer' onclick='InfoContact.sendMail(\""+cn+"\",\""+data.email+"\")'><font size=1 color=DARKBLUE><u>"+data.email+"</u></font></span>"+
 										"</td></tr></table>";
 