Index: /branches/2.2/filemanager/js/drag_area.js
===================================================================
--- /branches/2.2/filemanager/js/drag_area.js	(revision 4915)
+++ /branches/2.2/filemanager/js/drag_area.js	(revision 4981)
@@ -21,5 +21,5 @@
 DragArea.prototype.dragObj = function(e)
 {
-        var _event  = is_ie ? window.event : e;
+	var _event  = is_ie ? window.event : e;
 	var _target = is_ie ? _event.srcElement : _event.target;
 
@@ -40,5 +40,6 @@
 		sign.style.position = 'absolute';
 	}
-	else{
+	else
+	{
 		this.operation = "";
 		var sign = document.getElementById('dragSign');
@@ -46,9 +47,20 @@
 			return;
 		sign.parentNode.removeChild(sign);
-		if(_target.tagName == 'SPAN'){
-			var filesUrl = toolbar.getCheckedFiles();
-			var path = _target.id.replace(/main$/g,'').substr(1);
-			if (filesUrl.length > 1 && path.length > 1)
-				move_to(path,filesUrl);
+		
+		try
+		{
+			if(_target.tagName == 'SPAN')
+			{
+				var filesUrl = toolbar.getCheckedFiles();
+				var path = _target.id.replace(/main$/g,'').substr(1);
+				
+				if (filesUrl.length > 1 && path.length > 1)
+					move_to(path,filesUrl);
+			}
+			
+		}
+		catch(e)
+		{
+			
 		}
 	}
Index: /branches/2.2/filemanager/js/draw_api.js
===================================================================
--- /branches/2.2/filemanager/js/draw_api.js	(revision 4915)
+++ /branches/2.2/filemanager/js/draw_api.js	(revision 4981)
@@ -407,8 +407,19 @@
 }
 folderList.prototype.updateQuota = function(quotaSize,usedSpace){
-	if (parseInt(quotaSize) != 0){
+	if ( parseInt(quotaSize) != 0 )
+	{
 		var contentQuota = document.getElementById('content_quota');
-		if (contentQuota != null)
-			contentQuota.innerHTML = '<table width="102" cellspacing="0" cellpadding="0" border="0" id="table_quota"><tbody><tr><td width="102" nowrap="true" height="15" background="./phpgwapi/templates/default/images/dsunused.gif"><table cellspacing="0" cellpadding="0" border="0" style="width: '+parseInt((usedSpace/quotaSize)*100)+'%;"><tbody><tr><td height="15" class="dsused"/></tr></tbody></table></td><td nowrap="true" align="center"><span class="boxHeaderText">'+parseInt(usedSpace/quotaSize*100)+'% ('+borkb(usedSpace)+'/'+borkb(quotaSize)+')</span></td></tr></tbody></table></td></tr></table>';
+		
+		if ( contentQuota != null )
+		{
+			contentQuota.innerHTML = '<table width="102" cellspacing="0" cellpadding="0" border="0" id="table_quota">' +
+									 '<tbody><tr>' +
+									 '<td width="102" nowrap="true" height="15" background="./phpgwapi/templates/default/images/dsunused.gif">' +
+									 '<table cellspacing="0" cellpadding="0" border="0" style="width: '+parseInt((usedSpace/quotaSize)*100)+'%;">' +
+									 '<tbody><tr><td height="15" class="dsused"/></tr></tbody></table>'+
+									 '</td><td nowrap="true" align="center"><span class="boxHeaderText">&nbsp;&nbsp;'+
+									 parseInt(usedSpace/quotaSize*100)+'% ('+borkb(usedSpace)+'/'+borkb(quotaSize)+')</span>'+
+									 '</td></tr></tbody></table></td></tr></table>';
+		}
 	}
 }
@@ -526,15 +537,22 @@
 
 }
-toolbar.prototype.getCheckedFiles = function () {
+
+toolbar.prototype.getCheckedFiles = function()
+{
 	filesUrl = "";
 	var one_checked = false;
-	files=document.getElementsByName('fileman');
+	var files = document.getElementsByName('fileman');
 	var j=0;
+	
 	for (i = 0; i <  files.length; i++)
-		if (files[i].checked){
+	{	
+		if (files[i].checked)
+		{
 			one_checked = true;
 			filesUrl += "&fileman["+j+"]="+base64_encode(files[i].value);
 			j++;
 		}
+	}
+	
 	if (!one_checked)
 	{
@@ -542,4 +560,5 @@
 		return;
 	}
+	
 	return filesUrl;
 }
@@ -776,16 +795,16 @@
 {
 	clearTimeout(menuTimeout);
-	switch(type){
-		case 'preview':
-			var url = './index.php?menuaction=filemanager.vfs_functions.summary&file='+base64_encode(name)+"&path="+base64_encode(currentPath);
-			var htmlData = '<img src=\"'+url+'\">';
-			menuTimeout = setTimeout("draw_window_card(\'"+htmlData+"\')",500);
-			break;
-		case 'user':
-			var url = './index.php?menuaction=filemanager.user.card&lid='+base64_encode(name);
-			menuTimeout = setTimeout("cExecute_('"+url+"',draw_window_card)",500);
-			break;
-		default:
-			break;
+	
+	if( type == "preview" )
+	{
+		var url = './index.php?menuaction=filemanager.vfs_functions.summary&file='+base64_encode(name)+"&path="+base64_encode(currentPath);
+		var htmlData = '<img src=\"'+url+'\">';
+		menuTimeout = setTimeout( "draw_window_card(\'"+htmlData+"\')", 300 );
+	}
+	
+	if( type == "user")
+	{
+		var url = './index.php?menuaction=filemanager.user.card&lid='+base64_encode(name);
+		menuTimeout = setTimeout("cExecute_('"+url+"',draw_window_card)", 300 );
 	}
 
@@ -912,8 +931,9 @@
 	}
 	menu.innerHTML = content;
-
 	menu.style.visibility = 'visible';
-	clearTimeout(menuTimeout);
-	menuTimeout = setTimeout("hide_card()",4000);
+	
+	if( menuTimeout )
+		clearTimeout(menuTimeout);
+	menuTimeout = setTimeout("hide_card()",1000);
 }
 function hide_card()